@use "@angular/material" as mat;
@import "../../../../styles.scss";

.asterix--after:after {
  content: "*";
  color: red;
}

.login-form {
  min-width: 150px;
  max-width: 500px;
  width: 100%;
}

.full-width {
  width: 100%;
}

.mat-divider {
  margin-top: 15px !important;
  margin-bottom: 15px !important;
}

.input-error {
  font-size: small;
  color: red;
}

.dialog-header {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;

  h2 {
    margin: 0;
    text-align: center;
    flex: 1;
    font-size: 16px !important;
    font-weight: 600 !important;
    font-family: "Open Sans", sans-serif !important;
    color: mat.get-color-from-palette($graphene-ui-primary);
  }
}

h1.mat-dialog-title {
  margin: 0;
}

@keyframes spinner {
  to {
    transform: rotate(360deg);
  }
}

.spinner:before {
  content: "";
  box-sizing: border-box;
  position: absolute;
  top: 50%;
  left: 42%;
  width: 20px;
  height: 20px;
  margin-top: -10px;
  margin-left: -10px;
  border-radius: 50%;
  border: 2px solid #ffffff;
  border-top-color: #000000;
  animation: spinner 0.8s linear infinite;
}
